Bug 1249614 - SELinux is preventing sshd from 'write' accesses on the fifo_file fifo_file.
SELinux is preventing sshd from 'write' accesses on the fifo_file fifo_file.
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
21
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:eda9a8b59397d685c8ee028ca03...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-03 08:13 EDT by Charles Tryon
Modified: 2015-12-02 13:15 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-02 09:46:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Charles Tryon 2015-08-03 08:13:13 EDT
Description of problem:
SELinux is preventing sshd from 'write' accesses on the fifo_file fifo_file.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that sshd should be allowed write access on the fifo_file fifo_file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep sshd /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:sshd_net_t:s0
Target Context                system_u:system_r:kernel_t:s0
Target Objects                fifo_file [ fifo_file ]
Source                        sshd
Source Path                   sshd
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-105.19.fc21.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 4.0.8-200.fc21.x86_64 #1 SMP Fri
                              Jul 10 21:09:54 UTC 2015 x86_64 x86_64
Alert Count                   1
First Seen                    2015-08-03 08:03:38 EDT
Last Seen                     2015-08-03 08:03:38 EDT
Local ID                      a52ea23f-813d-4cb1-87a7-ec69773d3c8b

Raw Audit Messages
type=AVC msg=audit(1438603418.139:1424): avc:  denied  { write } for  pid=4807 comm="sshd" path="pipe:[8777655]" dev="pipefs" ino=8777655 scontext=system_u:system_r:sshd_net_t:s0 tcontext=system_u:system_r:kernel_t:s0 tclass=fifo_file permissive=1


Hash: sshd,sshd_net_t,kernel_t,fifo_file,write

Version-Release number of selected component:
selinux-policy-3.13.1-105.19.fc21.noarch

Additional info:
reporter:       libreport-2.3.0
hashmarkername: setroubleshoot
kernel:         4.0.8-200.fc21.x86_64
type:           libreport
Comment 1 Miroslav Grepl 2015-08-05 06:30:11 EDT
This is strange. How did you start sshd service? Also are you able to reproduce it?
Comment 2 Charles Tryon 2015-10-12 09:29:56 EDT
The sshd service starts with the normal startup process.  I have not found any way to reproduce the error.
Comment 3 Fedora End Of Life 2015-11-04 10:20:36 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-12-02 09:46:09 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.